Capture / Ticket Request
GET
/cgi.html-capture- Pre-Auth (Auth-Only) transactions allow users to hold a specific amount for processing at a later time without needing to re-enter account details. A Capture/Ticket Request is used to finalize an Auth-Only (Ticket) transaction, ensuring the held amount is processed without requiring the account data to be entered again. - Follow the steps and references outlined in this section to perform a Capture/Ticket transaction. - Capture request used to post capture an Auth only transaction without re-entering account data.
Query Parameters
RefId*
stringRegisterId*
stringTPN
stringAuthKey
stringTransType*
enumAmount*
numberTip
numberAcntLast4
stringMerchantId
stringCustomerEmail
stringCustomerMobile
stringIsTxnStatusScreenRequired
booleanGET/cgi.html-capture
1curl --location 'https://test.spinpos.net:443/SPIn/cgi.html?TerminalTransaction=%3Crequest%3E%3CRefId%3E2%3C%2FRefId%3E%3CRegisterId%3E3%3C%2FRegisterId%3E%3CTransType%3ECapture%3C%2FTransType%3E%3CAmount%3E100%3C%2FAmount%3E%3CTip%3E10%3C%2FTip%3E%3CIsTxnStatusScreenRequired%3Etrue%3C%2FIsTxnStatusScreenRequired%3E%3C%2Frequest%3E'
Response
// Awaiting response…
Sample response
{
"RefId": "2",
"RegisterId": "3",
"TPN": "xxx",
"ResultCode": "0",
"Message": "Success",
"PaymentType": "Credit",
"ExtData": "InvNum=1,CardType=VISA,BatchNum=1,Tip=0.00,CashBack=0.00,Fee=0.00,AcntLast4=1234,Name=Dejavoo,TotalAmt=1.00,DISC=0.00,SHFee=0.00,EBTFSAvailBalance=,EBTCashAvailBalance=,EntryType=Swipe,TaxCity=0.00,TaxState=0.00,Cust1=,Cust1Value=,Cust2=,Cust2Value=,Cust3=,Cust3Value=,AcntFirst4=4111,TaxAmount=0.00",
"ContactDetailsError": "CustomerMobile=Is invalid,CustomerEmail=Is invalid"
}